﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace MVCExample
{
    public class CatModel: INotifyPropertyChanged
    {
        private String m_name;
        int m_age;

        public String Name
        {
            get { return m_name; }
            set
            {
                if (m_name == null || !m_name.Equals(value))
                {
                    m_name = value;
                    FireChange("Name");
                }
            }
        }

        public int Age
        {
            get { return m_age; }
            set
            {
                if (m_age != value)
                {
                    m_age = value;
                    FireChange("Age");
                }
            }
        }
        #region INotifyPropertyChanged Members

        public event PropertyChangedEventHandler PropertyChanged;

        private void FireChange(String propName) {
            if (PropertyChanged != null) {
                PropertyChanged(this, new PropertyChangedEventArgs(propName));
            }            
        }

        #endregion
    }
}
