﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace MVCExample
{
    public partial class UserControlChangeName : UserControl, ICatView
    {
        public UserControlChangeName()
        {
            InitializeComponent();
        }

        #region ICatView Members

        public string CatName
        {
            get
            {
                return textBoxCurrentName.Text;
            }
            set
            {
                textBoxCurrentName.Text = value;
            }
        }

        public String CatAge
        {
            get
            {
                return labelCurrentAge.Text;
            }
            set
            {
                labelCurrentAge.Text = value.ToString();
            }
        }

        public string ErrorName
        {
            get
            {
                return errorProviderMain.GetError(textBoxCurrentName);
            }
            set
            {
                errorProviderMain.SetError(textBoxCurrentName, value);
            }
        }

        private event PropertyChangedEventHandler m_propertyChanged;
        public event PropertyChangedEventHandler PropertyChanged
        {
            add { m_propertyChanged += value; }
            remove { m_propertyChanged -= value; }
        }

        #endregion

        private void textBoxCurrentName_TextChanged(object sender, EventArgs e)
        {
            if (m_propertyChanged != null)
            {
                m_propertyChanged(this,
                    new PropertyChangedEventArgs("ChangeName"));
            }
        }
    }
}
